Open CASCADE Technology: BinTools_LocationSet Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BinTools_LocationSet Class Reference

The class LocationSet stores a set of location in a relocatable state. More...

`#include <BinTools_LocationSet.hxx>`

## Public Member Functions
| BinTools_LocationSet ()
| Returns an empty set of locations. More...
void | Clear ()
| Clears the content of the set. More...
Standard_Integer | Add (const TopLoc_Location &L)
| Incorporate a new Location in the set and returns its index. More...
const TopLoc_Location & | Location (const Standard_Integer I) const
| Returns the location of index . More...
Standard_Integer | Index (const TopLoc_Location &L) const
| Returns the index of <L>. More...
Standard_Integer | NbLocations () const
| Returns number of locations. More...
void | Write (Standard_OStream &OS) const
| Writes the content of me on the stream <OS> in a format that can be read back by Read. More...
void | Read (Standard_IStream &IS)
| Reads the content of me from the stream <IS>. me is first cleared. More...

## Detailed Description

The class LocationSet stores a set of location in a relocatable state.

It can be created from Locations.

It can create Locations.

## Constructor & Destructor Documentation

BinTools_LocationSet::BinTools_LocationSet | ( |  | ) |

Returns an empty set of locations.

## Member Function Documentation

Standard_Integer BinTools_LocationSet::Add | ( | const TopLoc_Location & | L | ) |

Incorporate a new Location in the set and returns its index.

void BinTools_LocationSet::Clear | ( |  | ) |

Clears the content of the set.

Standard_Integer BinTools_LocationSet::Index | ( | const TopLoc_Location & | L | ) | const

Returns the index of <L>.

const TopLoc_Location& BinTools_LocationSet::Location | ( | const Standard_Integer | I | ) | const

Returns the location of index .

Standard_Integer BinTools_LocationSet::NbLocations | ( |  | ) | const

Returns number of locations.

void BinTools_LocationSet::Read | ( | Standard_IStream & | IS | ) |

Reads the content of me from the stream <IS>. me is first cleared.

void BinTools_LocationSet::Write | ( | Standard_OStream & | OS | ) | const

Writes the content of me on the stream <OS> in a format that can be read back by Read.

The documentation for this class was generated from the following file:

- BinTools_LocationSet.hxx